Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		liba52
Version:	0.7.4
Release:	3
Provides:	%{name}
License:	GNU/GPL 
URL:		http://liba52.sourceforge.net/
Group:		System/Libraries
Source0:	a52dec-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Summary:	liba52 is a free library for decoding ATSC A/52 streams.

#Automatically resolved build dependencies
BuildRequires: glibc-devel

%description
liba52 is a free library for decoding ATSC A/52 streams.
The A/52 standard is used in a variety of applications,
including digital television and DVD. It is also known as AC-3.
For more details see: http://liba52.sourceforge.net/

%package devel
Summary: %{name} development headers.
Group: %{group}            
Requires: %{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n a52dec-%{version}

%build
./configure --prefix=%_prefix --mandir=%_mandir --enable-shared
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/a52dec
%{_bindir}/extract_a52
%{_libdir}/liba52.so.*
%{_mandir}/man1/a52dec.1.gz
%{_mandir}/man1/extract_a52.1.gz

%files devel
%defattr(-,root,root)
%{_includedir}/a52dec/a52.h
%{_includedir}/a52dec/attributes.h
%{_includedir}/a52dec/audio_out.h
%{_includedir}/a52dec/mm_accel.h
%{_libdir}/liba52.a
%{_libdir}/liba52.la
%{_libdir}/liba52.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Mar 09 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.7.4-3
- rebuilt
* Mon Jul 11 2005 Christian Wasem <wasem@ccux-linux.de> 0.7.4-2
- rebuild for source rpm
